Subject: IPv6 extension for FARP

From: Jim Allen <[email-masked]>
Date: Mon, 14 Jun 1999 22:26:31 -0500 (CDT)

I was wondering if it would be possible to extend the Match
    Address Code Points defined in section 5.4 and in Appendix A to
    explicity deal with IPv6 Addresses in FARP. Currently FARP can
    handle 128 bit IP addresses, but there is now match address code
    point explicitily for IPv6. At some point Neighbor Discovery on 
    FC will need addressed, but in the interim extending FARP to
    explicitly handle IPv6 address may be be useful.

    A possible approach follows. Please send me feedback on this
    proposal.  An alternate approach to what follows is to
    generalize the existing IPv4 match address code points to be used
    for either IPv4 or IPv6.

    Thanks.

--------------------

   In Section 5.4 (page 20), update the table for "Match Address
   Code Points"  for IPv6. Here is a possible
   implementation:

   +------------------------------------------------------------------+
   |                     Match Address Code Points                    |
   +------------------------------------------------------------------+
   |   LSBits  |     Bit name       |           Action                |
   +-----------+--------------------+---------------------------------+
   |   0000    | Reserved           |                                 |
   +-----------+--------------------+---------------------------------+
   |   0001    | MATCH_WW_PN        | If 'WW_PN of Responder' =       |
   |           |                    | Node's WW_PN then respond       |
   +-----------+--------------------+---------------------------------+
   |   0010    | MATCH_WW_NN        | OPTIONAL; see Appendix A        |
   +-----------+--------------------+---------------------------------+
   |   0011    | MATCH_WW_PN_NN     | OPTIONAL; see Appendix A        |
   +-----------+--------------------+---------------------------------+
   |   0100    | MATCH_IPv4         | OPTIONAL; see Appendix A        |
   +-----------+--------------------+---------------------------------+
   |   0101    | MATCH_WW_PN_IPv4   | OPTIONAL; see Appendix A        |
   +-----------+--------------------+---------------------------------+
   |   0110    | MATCH_WW_NN_IPv4   | OPTIONAL; see Appendix A        |
   +-----------+--------------------+---------------------------------+
   |   0111    | MATCH_WW_PN_NN_IPv4| OPTIONAL; see Appendix A        |
   +-----------+--------------------+---------------------------------+
   |   1000    | MATCH_IPv6         | OPTIONAL; see Appendix A        |
   +-----------+--------------------+---------------------------------+
   |   1001    | MATCH_WW_PN_IPv6   | OPTIONAL; see Appendix A        |
   +-----------+--------------------+---------------------------------+
   |   1010    | MATCH_WW_NN_IPv6   | OPTIONAL; see Appendix A        |
   +-----------+--------------------+---------------------------------+
   |   1011    | MATCH_WW_PN_NN_IPv6| OPTIONAL; see Appendix A        |
   +-----------+--------------------+---------------------------------+

In Appendix A, these changes would also be described. So that it would
look something like:

  Section 5 described the FC Layer mapping between the WW_PN and the
  Port_ID using the FARP Protocol. This appendix describes other
  optional criteria for address matching and includes:

     - WW_NN

     - WW_PN & WW_NN at the same time

     - IPv4

     - IPv4 & WW_PN at the same time

     - IPv4 & WW_NN at the same time

     - IPv4 & WW_PN & WW_NN at the same time

     - IPv6

     - IPv6 & WW_PN at the same time

     - IPv6 & WW_NN at the same time

     - IPv6 & WW_PN & WW_NN at the same time

   Depending on the Match Address Code Points, the FARP protocol
   fundamentally resolves five main types of addresses to Port_IDs and
   is described in table below.

      - For Match Address Code Point b'0001':
        WW_PN Names fields are used to resolve the WW_PN names to
        Port_IDs.
        WW_NN and IP address fields are not used with these Code Points
        and SHALL be set to either '0' or valid addresses by Requester
        or Requester and Responder.

      - For Match Address Code Point b'0010':
        WW_NN Names fields are used to resolve the WW_NN names to
        Port_IDs.
        WW_PN and IP address fields are not used with these Code Points
        and SHALL be set to either '0' or valid addresses by Requester
        or Requester and Responder.

      - For Match Address Code Point b'0100':
        IPv4 fields are used to resolve the IPv4 addresses to Port_IDs.
        WW_PN and WW_NN fields are not used with these Code Points and
        SHALL be set to either '0' or valid addresses by Requester or
        Requester and Responder.

      - For Match Address Code Point b'1000':
        IPv6 fields are used to resolve the IPv6 addresses to Port_IDs.
        WW_PN and WW_NN fields are not used with these Code Points and
        SHALL be set to either '0' or valid addresses by Requester or
        Requester and Responder.

      - For all other Match Address Code Points b'0011', b'0101',b'0110',
        b'0111' ,b'1001' ,b'1010' ,b'1011, depending on set bits one
        or more addresses are jointly resolved to a Port_ID. See table
        below. If fields are not used, then they are set either to '0'
        or valid addresses.

   +--------------------------------------------------------------------+
   |                       Match Address Code Points                    |
   +--------------------------------------------------------------------+
   | LSBits|      Bit name      |             Action                    |
   +-------+--------------------+---------------------------------------+
   |0000   |   Reserved         |                                       |
   +-------+--------------------+---------------------------------------+
   |0001   | MATCH_WW_PN        | If 'WW_PN of Responder' =             |
   |       |                    | Node's WW_PN then respond             |
   +-------+--------------------+---------------------------------------+
   |0010   | MATCH_WW_NN        | If 'WW_NN of Responder' =             |
   |       |                    | Node's WW_NN then respond             |
   +-------+--------------------+---------------------------------------+
   |0011   | MATCH_WW_PN_NN     | If both 'WW_PN of Responder' &        |
   |       |                    | 'WW_NN of Responder' =                |
   |       |                    | Node's WW_PN & WW_NN then respond     |
   +-------+--------------------+---------------------------------------+
   |0100   | MATCH_IPv4         | If 'IPv4 Address of Responder' =      |
   |       |                    | Node's IPv4 Address then respond      |
   +-------+--------------------+---------------------------------------+
   |0101   | MATCH_WW_PN_IPv4   | If 'WW_PN & IPv4 of Responder' =      |
   |       |                    | Node's WW_PN and IPv4 then respond    |
   +-------+--------------------+---------------------------------------+
   |0110   | MATCH_WW_NN_IPv4   | If both 'WW_NN of Responder' &        |
   |       |                    | 'IPv4 Address of Responder' =         |
   |       |                    | Node's WW_NN & IPv4 then respond      |
   +-------+--------------------+---------------------------------------+
   |0111   |MATCH_WW_PN_NN_IPv4 | If 'WW_PN of Responder' &             |
   |       |                    | 'WW_NN of Responder' &                |
   |       |                    | 'IPv4 Address of Responder' =         |
   |       |                    | Nodes' WW_PN & WW_NN & IPv4           |
   |       |                    | then respond                          |
   +-------+--------------------+---------------------------------------+
   |1000   | MATCH_IPv6         | If 'IPv6 Address of Responder' =      |
   |       |                    | Node's IPv6 Address then respond      |
   +-------+--------------------+---------------------------------------+
   |1001   | MATCH_WW_PN_IPv6   | If 'WW_PN & IPv6 of Responder' =      |
   |       |                    | Node's WW_PN and IPv6 then respond    |
   +-------+--------------------+---------------------------------------+
   |1010   | MATCH_WW_NN_IPv6   | If both 'WW_NN of Responder' &        |
   |       |                    | 'IPv6 Address of Responder' =         |
   |       |                    | Node's WW_NN & IPv6 then respond      |
   +-------+--------------------+---------------------------------------+
   |1011   |MATCH_WW_PN_NN_IPv6 | If 'WW_PN of Responder' &             |
   |       |                    | 'WW_NN of Responder' &                |
   |       |                    | 'IPv6 Address of Responder' =         |
   |       |                    | Nodes' WW_PN & WW_NN & IPv6           |
   |       |                    | then respond                          |
   +-------+--------------------+---------------------------------------+

   For the FARP-REQUEST/REPLY command the "IP Add." fields would be
   updated something like:

   +-------------------------------+---------+---------------------------+
   |IP Add. of Requester           |   16    |OPTIONAL; Supplied by      |
   |                               |         |Requester                  |
   |                               |         |IPv4 Add.=low 32 bits      |
   |                               |         |IPv6 Add.=all 128bits      |
   +-------------------------------+---------+---------------------------+
   |IP Address of Responder        |   16    |OPTIONAL; Supplied by      |
   |                               |         |Requester or Responder     |
   |                               |         |IPv4 Add.=low 32 bits      |
   |                               |         |IPv6 Add.=all 128bits      |
   +-------------------------------+---------+---------------------------+

-- 
==============================================================================
Jim Allen    IBM RS/6000 Division,      AIX Base Device Drivers   Austin, TX

Internet: [email-masked]         
Vnet    : Get real!  (JPALLEN at AUSTIN)   
Office  : 5G-015/905, ZIP 9551
Phone   : (512)-838-3346             T/L: 678-3346
FAX	: (512)-838-3509	     T/L: 678-3509
==============================================================================

---

From: Murali Rajagopal <[email-masked]>
Date: Tue, 15 Jun 1999 08:51:43 -0700

Folks:

A clarification for those who may be wondering how Jim's proposed extension
fits with the current draft.

The extension is for a completely new draft proposal  "IPv6 Over FC" that is
yet to be discussed and adopted 
as a new work item if sufficient interest prevails.

I like to hear your comments about adopting this as a new work item.

Regards,

Murali Rajagopal

IPFC WG Chair

		-----Original Message-----
		From:	Jim Allen [mailto:[email-masked]]
		Sent:	Monday, June 14, 1999 8:27 PM
		To:	[email-masked]
		Subject:	IPv6 extension for FARP

		    I was wondering if it would be possible to extend the
Match
		    Address Code Points defined in section 5.4 and in
Appendix A to
		    explicity deal with IPv6 Addresses in FARP. Currently
FARP can
		    handle 128 bit IP addresses, but there is now match
address code
		    point explicitily for IPv6. At some point Neighbor
Discovery on 
		    FC will need addressed, but in the interim extending
FARP to
		    explicitly handle IPv6 address may be be useful.

		    A possible approach follows. Please send me feedback on
this
		    proposal.  An alternate approach to what follows is to
		    generalize the existing IPv4 match address code points
to be used
		    for either IPv4 or IPv6.

		    Thanks.

		--------------------

		   In Section 5.4 (page 20), update the table for "Match
Address
		   Code Points"  for IPv6. Here is a possible
		   implementation:

+------------------------------------------------------------------+
		   |                     Match Address Code Points
|
	
+------------------------------------------------------------------+
		   |   LSBits  |     Bit name       |           Action
|
	
		   |   0000    | Reserved           |
|
	
+-----------+--------------------+---------------------------------+
		   |   0001    | MATCH_WW_PN        | If 'WW_PN of
Responder' =       |
		   |           |                    | Node's WW_PN then
respond       |
	
+-----------+--------------------+---------------------------------+
		   |   0010    | MATCH_WW_NN        | OPTIONAL; see Appendix
A        |
	
+-----------+--------------------+---------------------------------+
		   |   0011    | MATCH_WW_PN_NN     | OPTIONAL; see Appendix
A        |
	
+-----------+--------------------+---------------------------------+
		   |   0100    | MATCH_IPv4         | OPTIONAL; see Appendix
A        |
	
+-----------+--------------------+---------------------------------+
		   |   0101    | MATCH_WW_PN_IPv4   | OPTIONAL; see Appendix
A        |
	
+-----------+--------------------+---------------------------------+
		   |   0110    | MATCH_WW_NN_IPv4   | OPTIONAL; see Appendix
A        |
	
+-----------+--------------------+---------------------------------+
		   |   0111    | MATCH_WW_PN_NN_IPv4| OPTIONAL; see Appendix
A        |
	
+-----------+--------------------+---------------------------------+
		   |   1000    | MATCH_IPv6         | OPTIONAL; see Appendix
A        |
	
+-----------+--------------------+---------------------------------+
		   |   1001    | MATCH_WW_PN_IPv6   | OPTIONAL; see Appendix
A        |
	
+-----------+--------------------+---------------------------------+
		   |   1010    | MATCH_WW_NN_IPv6   | OPTIONAL; see Appendix
A        |
	
+-----------+--------------------+---------------------------------+
		   |   1011    | MATCH_WW_PN_NN_IPv6| OPTIONAL; see Appendix
A        |

		In Appendix A, these changes would also be described. So
that it would
		look something like:

		  Section 5 described the FC Layer mapping between the WW_PN
and the
		  Port_ID using the FARP Protocol. This appendix describes
other
		  optional criteria for address matching and includes:

		     - WW_NN

		     - IPv4

		     - IPv6

		   Depending on the Match Address Code Points, the FARP
protocol
		   fundamentally resolves five main types of addresses to
Port_IDs and
		   is described in table below.

		      - For Match Address Code Point b'0001':
		        WW_PN Names fields are used to resolve the WW_PN
names to
		        Port_IDs.
		        WW_NN and IP address fields are not used with these
Code Points
		        and SHALL be set to either '0' or valid addresses by
Requester
		        or Requester and Responder.

		      - For Match Address Code Point b'0010':
		        WW_NN Names fields are used to resolve the WW_NN
names to
		        Port_IDs.
		        WW_PN and IP address fields are not used with these
Code Points
		        and SHALL be set to either '0' or valid addresses by
Requester
		        or Requester and Responder.

		      - For Match Address Code Point b'0100':
		        IPv4 fields are used to resolve the IPv4 addresses
to Port_IDs.
		        WW_PN and WW_NN fields are not used with these Code
Points and
		        SHALL be set to either '0' or valid addresses by
Requester or
		        Requester and Responder.

		      - For Match Address Code Point b'1000':
		        IPv6 fields are used to resolve the IPv6 addresses
to Port_IDs.
		        WW_PN and WW_NN fields are not used with these Code
Points and
		        SHALL be set to either '0' or valid addresses by
Requester or
		        Requester and Responder.

		      - For all other Match Address Code Points b'0011',
b'0101',b'0110',
		        b'0111' ,b'1001' ,b'1010' ,b'1011, depending on set
bits one
		        or more addresses are jointly resolved to a Port_ID.
See table
		        below. If fields are not used, then they are set
either to '0'
		        or valid addresses.

+--------------------------------------------------------------------+
		   |                       Match Address Code Points
|
	
+--------------------------------------------------------------------+
		   | LSBits|      Bit name      |             Action
|
	
		   |0000   |   Reserved         |
|
	
+-------+--------------------+---------------------------------------+
		   |0001   | MATCH_WW_PN        | If 'WW_PN of Responder' =
|
		   |       |                    | Node's WW_PN then respond
|
	
+-------+--------------------+---------------------------------------+
		   |0010   | MATCH_WW_NN        | If 'WW_NN of Responder' =
|
		   |       |                    | Node's WW_NN then respond
|
	
+-------+--------------------+---------------------------------------+
		   |0011   | MATCH_WW_PN_NN     | If both 'WW_PN of
Responder' &        |
		   |       |                    | 'WW_NN of Responder' =
|
		   |       |                    | Node's WW_PN & WW_NN then
respond     |
	
+-------+--------------------+---------------------------------------+
		   |0100   | MATCH_IPv4         | If 'IPv4 Address of
Responder' =      |
		   |       |                    | Node's IPv4 Address then
respond      |
	
+-------+--------------------+---------------------------------------+
		   |0101   | MATCH_WW_PN_IPv4   | If 'WW_PN & IPv4 of
Responder' =      |
		   |       |                    | Node's WW_PN and IPv4 then
respond    |
	
+-------+--------------------+---------------------------------------+
		   |0110   | MATCH_WW_NN_IPv4   | If both 'WW_NN of
Responder' &        |
		   |       |                    | 'IPv4 Address of
Responder' =         |
		   |       |                    | Node's WW_NN & IPv4 then
respond      |
	
+-------+--------------------+---------------------------------------+
		   |0111   |MATCH_WW_PN_NN_IPv4 | If 'WW_PN of Responder' &
|
		   |       |                    | 'WW_NN of Responder' &
|
		   |       |                    | 'IPv4 Address of
Responder' =         |
		   |       |                    | Nodes' WW_PN & WW_NN &
IPv4           |
		   |       |                    | then respond
|
	
+-------+--------------------+---------------------------------------+
		   |1000   | MATCH_IPv6         | If 'IPv6 Address of
Responder' =      |
		   |       |                    | Node's IPv6 Address then
respond      |
	
+-------+--------------------+---------------------------------------+
		   |1001   | MATCH_WW_PN_IPv6   | If 'WW_PN & IPv6 of
Responder' =      |
		   |       |                    | Node's WW_PN and IPv6 then
respond    |
	
+-------+--------------------+---------------------------------------+
		   |1010   | MATCH_WW_NN_IPv6   | If both 'WW_NN of
Responder' &        |
		   |       |                    | 'IPv6 Address of
Responder' =         |
		   |       |                    | Node's WW_NN & IPv6 then
respond      |
	
+-------+--------------------+---------------------------------------+
		   |1011   |MATCH_WW_PN_NN_IPv6 | If 'WW_PN of Responder' &
|
		   |       |                    | 'WW_NN of Responder' &
|
		   |       |                    | 'IPv6 Address of
Responder' =         |
		   |       |                    | Nodes' WW_PN & WW_NN &
IPv6           |
		   |       |                    | then respond
|

		   For the FARP-REQUEST/REPLY command the "IP Add." fields
would be
		   updated something like:

+-------------------------------+---------+---------------------------+
		   |IP Add. of Requester           |   16    |OPTIONAL;
Supplied by      |
		   |                               |         |Requester
|
		   |                               |         |IPv4 Add.=low
32 bits      |
		   |                               |         |IPv6 Add.=all
128bits      |
	
+-------------------------------+---------+---------------------------+
		   |IP Address of Responder        |   16    |OPTIONAL;
Supplied by      |
		   |                               |         |Requester or
Responder     |
		   |                               |         |IPv4 Add.=low
32 bits      |
		   |                               |         |IPv6 Add.=all
128bits      |

		-- 
	
============================================================================
==
		Jim Allen    IBM RS/6000 Division,      AIX Base Device
Drivers   Austin, TX

============================================================================
==

---

From: "Infante, Jon" <[email-masked]>
Date: Tue, 15 Jun 1999 09:23:22 -0700

Are there currently any
IPv6 over XXXXX Drafts
that we could look at for reference?

Jon

----------
From: 	Murali Rajagopal
Sent: 	Tuesday, June 15, 1999 8:51 AM
To: 	'Jim Allen'; [email-masked]
Subject: 	RE: IPv6 extension for FARP

Folks:

Regards,

Murali Rajagopal

IPFC WG Chair

		-----Original Message-----
		From:	Jim Allen [mailto:[email-masked]]
		Sent:	Monday, June 14, 1999 8:27 PM
		To:	[email-masked]
		Subject:	IPv6 extension for FARP

		    Thanks.

		--------------------

	

	

	

	

	

		     - WW_NN

		     - IPv4

		     - IPv6

	

	

	

	

	

	

		--

---

From: Murali Rajagopal <[email-masked]>
Date: Tue, 15 Jun 1999 09:32:40 -0700

Some IPv6 over xxx drafts:

http URL:draft-ietf-ip1394-ipv6-00.txt
<http://search.ietf.org/internet-drafts/draft-ietf-ip1394-ipv6-00.txt>
Summary
<http://search.ietf.org:80/search/cgi-bin/DisplayObject.cgi?object=/search/b
rokers/internet-drafts/objects/83/OBJ1043655083>  Title: Transmission of
IPv6 Packets over IEEE 1394 Networks 
 
http URL:draft-yamamoto-ipv6-over-p2p-atm-01.txt
<http://search.ietf.org/internet-drafts/draft-yamamoto-ipv6-over-p2p-atm-01.
txt>  Summary
<http://search.ietf.org:80/search/cgi-bin/DisplayObject.cgi?object=/search/b
rokers/internet-drafts/objects/87/OBJ1914130187>  Title: IPv6 over
Point-to-Point ATM Link

Other applicable drafts:

http URL:draft-ietf-ngtrans-introduction-to-ipv6-transition-00.txt
<http://search.ietf.org/internet-drafts/draft-ietf-ngtrans-introduction-to-i
pv6-transition-00.txt>  Summary
<http://search.ietf.org:80/search/cgi-bin/DisplayObject.cgi?object=/search/b
rokers/internet-drafts/objects/86/OBJ1243868086>  Title: A Guide to the
Introduction of IPv6 in the IPv4 World 16. 
http URL:draft-ietf-ipngwg-site-prefixes-02.txt
<http://search.ietf.org/internet-drafts/draft-ietf-ipngwg-site-prefixes-02.t
xt>  Summary
<http://search.ietf.org:80/search/cgi-bin/DisplayObject.cgi?object=/search/b
rokers/internet-drafts/objects/86/OBJ1735837286>  Title: Site prefixes in
Neighbor Discovery 17. 
		-----Original Message-----
		From:	Infante, Jon [mailto:[email-masked]]
		Sent:	Tuesday, June 15, 1999 9:23 AM
		To:	'Jim Allen'; [email-masked]; 'Murali
Rajagopal'

		Are there currently any
		IPv6 over XXXXX Drafts

		Jon

		----------
		From: 	Murali Rajagopal

		Folks:

		A clarification for those who may be wondering how Jim's
proposed extension
		fits with the current draft.

		The extension is for a completely new draft proposal  "IPv6
Over FC" that is
		yet to be discussed and adopted 
		as a new work item if sufficient interest prevails.

		I like to hear your comments about adopting this as a new
work item.

		Regards,

		Murali Rajagopal

		IPFC WG Chair

				-----Original Message-----
				From:	Jim Allen
[mailto:[email-masked]]
				Sent:	Monday, June 14, 1999 8:27 PM
				To:	[email-masked]
				Subject:	IPv6 extension for FARP

				    I was wondering if it would be possible
to extend the
		Match
				    Address Code Points defined in section
5.4 and in
		Appendix A to
				    explicity deal with IPv6 Addresses in
FARP. Currently
		FARP can
				    handle 128 bit IP addresses, but there
is now match
		address code
				    point explicitily for IPv6. At some
point Neighbor
		Discovery on 
				    FC will need addressed, but in the
interim extending
		FARP to
				    explicitly handle IPv6 address may be be
useful.

				    A possible approach follows. Please send
me feedback on
		this
				    proposal.  An alternate approach to what
follows is to
				    generalize the existing IPv4 match
address code points
		to be used
				    for either IPv4 or IPv6.

				    Thanks.

				--------------------

				   In Section 5.4 (page 20), update the
table for "Match
		Address
				   Code Points"  for IPv6. Here is a
possible
				   implementation:

	
				   |                     Match Address Code
Points
		|

				   |   LSBits  |     Bit name       |
Action
		|

+-----------+--------------------+---------------------------------+
				   |   0001    | MATCH_WW_PN        | If
'WW_PN of
		Responder' =       |
				   |           |                    | Node's
WW_PN then
		respond       |

				   |   0010    | MATCH_WW_NN        |
OPTIONAL; see Appendix
		A        |

+-----------+--------------------+---------------------------------+
				   |   0011    | MATCH_WW_PN_NN     |
OPTIONAL; see Appendix
		A        |

				   |   0100    | MATCH_IPv4         |
OPTIONAL; see Appendix
		A        |

+-----------+--------------------+---------------------------------+
				   |   0101    | MATCH_WW_PN_IPv4   |
OPTIONAL; see Appendix
		A        |

+-----------+--------------------+---------------------------------+
				   |   0110    | MATCH_WW_NN_IPv4   |
OPTIONAL; see Appendix
		A        |

+-----------+--------------------+---------------------------------+
				   |   0111    | MATCH_WW_PN_NN_IPv4|
OPTIONAL; see Appendix
		A        |

				   |   1000    | MATCH_IPv6         |
OPTIONAL; see Appendix
		A        |

+-----------+--------------------+---------------------------------+
				   |   1001    | MATCH_WW_PN_IPv6   |
OPTIONAL; see Appendix
		A        |

+-----------+--------------------+---------------------------------+
				   |   1010    | MATCH_WW_NN_IPv6   |
OPTIONAL; see Appendix
		A        |

+-----------+--------------------+---------------------------------+
				   |   1011    | MATCH_WW_PN_NN_IPv6|
OPTIONAL; see Appendix
		A        |

				In Appendix A, these changes would also be
described. So
		that it would
				look something like:

				  Section 5 described the FC Layer mapping
between the WW_PN
		and the
				  Port_ID using the FARP Protocol. This
appendix describes
		other
				  optional criteria for address matching and
includes:

				     - WW_NN

				     - IPv4

				     - IPv6

				   Depending on the Match Address Code
Points, the FARP
		protocol
				   fundamentally resolves five main types of
addresses to
		Port_IDs and
				   is described in table below.

				      - For Match Address Code Point
b'0001':
				        WW_PN Names fields are used to
resolve the WW_PN
		names to
				        Port_IDs.
				        WW_NN and IP address fields are not
used with these
		Code Points
				        and SHALL be set to either '0' or
valid addresses by
		Requester
				        or Requester and Responder.

				      - For Match Address Code Point
b'0010':
				        WW_NN Names fields are used to
resolve the WW_NN
		names to
				        Port_IDs.
				        WW_PN and IP address fields are not
used with these
		Code Points
				        and SHALL be set to either '0' or
valid addresses by
		Requester
				        or Requester and Responder.

				      - For Match Address Code Point
b'0100':
				        IPv4 fields are used to resolve the
IPv4 addresses
		to Port_IDs.
				        WW_PN and WW_NN fields are not used
with these Code
		Points and
				        SHALL be set to either '0' or valid
addresses by
		Requester or
				        Requester and Responder.

				      - For Match Address Code Point
b'1000':
				        IPv6 fields are used to resolve the
IPv6 addresses
		to Port_IDs.
				        WW_PN and WW_NN fields are not used
with these Code
		Points and
				        SHALL be set to either '0' or valid
addresses by
		Requester or
				        Requester and Responder.

				      - For all other Match Address Code
Points b'0011',
		b'0101',b'0110',
				        b'0111' ,b'1001' ,b'1010' ,b'1011,
depending on set
		bits one
				        or more addresses are jointly
resolved to a Port_ID.
		See table
				        below. If fields are not used, then
they are set
		either to '0'
				        or valid addresses.

	
				   |                       Match Address
Code Points
		|

				   | LSBits|      Bit name      |
Action
		|

+-------+--------------------+---------------------------------------+
				   |0001   | MATCH_WW_PN        | If 'WW_PN
of Responder' =
		|
				   |       |                    | Node's
WW_PN then respond
		|

+-------+--------------------+---------------------------------------+
				   |0010   | MATCH_WW_NN        | If 'WW_NN
of Responder' =
		|
				   |       |                    | Node's
WW_NN then respond
		|

+-------+--------------------+---------------------------------------+
				   |0011   | MATCH_WW_PN_NN     | If both
'WW_PN of
		Responder' &        |
				   |       |                    | 'WW_NN of
Responder' =
		|
				   |       |                    | Node's
WW_PN & WW_NN then
		respond     |

+-------+--------------------+---------------------------------------+
				   |0100   | MATCH_IPv4         | If 'IPv4
Address of
		Responder' =      |
				   |       |                    | Node's
IPv4 Address then
		respond      |

+-------+--------------------+---------------------------------------+
				   |0101   | MATCH_WW_PN_IPv4   | If 'WW_PN
& IPv4 of
		Responder' =      |
				   |       |                    | Node's
WW_PN and IPv4 then
		respond    |

+-------+--------------------+---------------------------------------+
				   |0110   | MATCH_WW_NN_IPv4   | If both
'WW_NN of
		Responder' &        |
				   |       |                    | 'IPv4
Address of
		Responder' =         |
				   |       |                    | Node's
WW_NN & IPv4 then
		respond      |

+-------+--------------------+---------------------------------------+
				   |0111   |MATCH_WW_PN_NN_IPv4 | If 'WW_PN
of Responder' &
		|
				   |       |                    | 'WW_NN of
Responder' &
		|
				   |       |                    | 'IPv4
Address of
		Responder' =         |
				   |       |                    | Nodes'
WW_PN & WW_NN &
		IPv4           |
				   |       |                    | then
respond
		|

+-------+--------------------+---------------------------------------+
				   |1000   | MATCH_IPv6         | If 'IPv6
Address of
		Responder' =      |
				   |       |                    | Node's
IPv6 Address then
		respond      |

+-------+--------------------+---------------------------------------+
				   |1001   | MATCH_WW_PN_IPv6   | If 'WW_PN
& IPv6 of
		Responder' =      |
				   |       |                    | Node's
WW_PN and IPv6 then
		respond    |

+-------+--------------------+---------------------------------------+
				   |1010   | MATCH_WW_NN_IPv6   | If both
'WW_NN of
		Responder' &        |
				   |       |                    | 'IPv6
Address of
		Responder' =         |
				   |       |                    | Node's
WW_NN & IPv6 then
		respond      |

+-------+--------------------+---------------------------------------+
				   |1011   |MATCH_WW_PN_NN_IPv6 | If 'WW_PN
of Responder' &
		|
				   |       |                    | 'WW_NN of
Responder' &
		|
				   |       |                    | 'IPv6
Address of
		Responder' =         |
				   |       |                    | Nodes'
WW_PN & WW_NN &
		IPv6           |
				   |       |                    | then
respond
		|

				   For the FARP-REQUEST/REPLY command the
"IP Add." fields
		would be
				   updated something like:

+-------------------------------+---------+---------------------------+
				   |IP Add. of Requester           |   16
|OPTIONAL;
		Supplied by      |
				   |                               |
|Requester
		|
				   |                               |
|IPv4 Add.=low
		32 bits      |
				   |                               |
|IPv6 Add.=all
		128bits      |

+-------------------------------+---------+---------------------------+
				   |IP Address of Responder        |   16
|OPTIONAL;
		Supplied by      |
				   |                               |
|Requester or
		Responder     |
				   |                               |
|IPv4 Add.=low
		32 bits      |
				   |                               |
|IPv6 Add.=all
		128bits      |

				-- 

============================================================================
		==
				Jim Allen    IBM RS/6000 Division,      AIX
Base Device
		Drivers   Austin, TX

				Internet: [email-masked]         
				Vnet    : Get real!  (JPALLEN at AUSTIN)   
				Office  : 5G-015/905, ZIP 9551
				Phone   : (512)-838-3346             T/L:
678-3346
				FAX	: (512)-838-3509	     T/L:
678-3509

---

From: "Nixon, Bob" <[email-masked]>
Date: Tue, 15 Jun 1999 10:14:51 -0700

See also

RFC2464  Transmission of IPv6 Packets over Ethernet Networks
RFC2467  Transmission of IPv6 Packets over FDDI Networks
RFC2470  Transmission of IPv6 Packets over Token Ring Networks

These all have status "PROPOSED STANDARD" so they have reached wide acceptance / implementation.

----------
From: 	Murali Rajagopal
Sent: 	Tuesday, June 15, 1999 9:32 AM
To: 	'Infante, Jon'; 'Jim Allen'; [email-masked]; Murali Rajagopal
Subject: 	RE: IPv6 extension for FARP

 

Other applicable drafts:

		-----Original Message-----
		From:	Infante, Jon [mailto:[email-masked]]
		Sent:	Tuesday, June 15, 1999 9:23 AM
		To:	'Jim Allen'; [email-masked]; 'Murali
Rajagopal'

		Are there currently any
		IPv6 over XXXXX Drafts

		Jon

		----------
		From: 	Murali Rajagopal

		Folks:

		Regards,

		Murali Rajagopal

		IPFC WG Chair

				-----Original Message-----
				From:	Jim Allen

				    Thanks.

				--------------------

			

				     - WW_NN

				     - IPv4

				     - IPv6

			

	

				--

---

From: Jeff Stai <[email-masked]>
Date: Tue, 15 Jun 1999 16:13:23 -0700

> From: Murali Rajagopal [mailto:[email-masked]]
...
> I like to hear your comments about adopting this as a new work item.

hi - Without commenting on the specifics of the proposal, it
seems obvious that an agreement on how to do IPv6 over FC can
only be in everyone's best interest.

Also, note that in the case of FARP, if we act quickly we can
get the IPv6 extensions for FARP-REQ and FARP-REPLY into the 
FC-FS draft. (Note that T11.3 is not constrained to wait for
IPv6 to be approved prior to approving FC-FS.) This would also
seem like a Good Thing.

thanks! - jeff stai (T11.3 chair)

jeff stai, QLogic corp.
3545 harbor blvd, costa mesa, ca 92626
714-668-5425vm, 714-668-5095fx
[email-masked]  http://www.qlc.com/